Benvenuto!

Questa comunità è dedicata alle persone interessate ai nostri prodotti e ai nostri servizi. Partecipa alle discussioni della nostra comunità, compila il tuo profilo personale contribuisci alla crescita di Seedoo

0

Problemi installazione Seedoo community

Da
Riccardo Squitieri
su 19/03/19, 11:01 541 visualizzazioni

Ciao a tutti,

ho seguito la procedura https://github.com/seedoo/seedoo-core/wiki/Installazione per installare Seedoo a inizio mese e non avuto problemi, mentre è da ieri che cerco di installarla nuovamente ma non riesco.

In particolare, quando lancio il comando 

cd ~/seedoo
virtualenv venv
./venv/bin/pip install --no-binary :all: -r ocb/requirements.txt 
./venv/bin/pip install --no-binary :all: -r seedoo-core/requirements.txt


ottengo il seguente messaggio:

Collecting pyBarcode==0.7 (from -r seedoo-core/requirements.txt (line 3))

  Could not find a version that satisfies the requirement pyBarcode==0.7 (from -r seedoo-core/requirements.txt (line 3)) (from versions: )

No matching distribution found for pyBarcode==0.7 (from -r seedoo-core/requirements.txt (line 3))


Porto comunque a termine i passi descritti https://github.com/seedoo/seedoo-core/wiki/Installazione ma quando cerco di aprire la pagina web, sul browser ho il seguente messaggio:

The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.

e poi vengo rimandato su http://myipaddress/web/database/manager

MI potete dare una mano?


1
Luca Cireddu
On 22/03/19, 09:55

Buongiorno,

da pochi giorni è stata aggiornata la libreria pyBarcode su Python Package Index, il repository ufficiale dal quale vengono scaricate le dipendenze con pip.

Siamo lavorando sulle procedure di installazione per risolvere questo problema, nel frattempo potete installare a mano la dipendenza seguendo questa procedura:

  • create una copia del file seedoo-core/requirements.txt in seedoo-core/requirements2.txt

  • eliminate la riga pyBarcode==0.7 dal file seedoo-core/requirements2.txt

  • installare le dipendenze usando il nuovo file: ./venv/bin/pip install --no-binary :all: -r seedoo-core/requirements2.txt

  • installare a mano la pyBarcode: ./venv/bin/pip install pyBarcode

Dovrebbe installare l'ultima versione disponibile



0
Vincenzo
On 22/03/19, 08:22

              

Buongiorno,

anche io ho lo stesso problema; ieri ho provato ad installare su un ubuntu 18.04 ed ho lo stesso tuo esito, ma la settimana scorsa ho montato su una macchina virtuale ed è andato liscio.

Risultato ho una macchina virtuale ok ed una macchina reale KO..

Da quello che ho potuto provare sulla macchina virtuale è un prodotto a dir poco superbo, ma non riesco a superare il problema della installazione su macchina reale, sembra che da qualche giorno l'interprete di pyton abbia cambiato posizione per cui oltre il primo messaggio del server error, facendo un refresh della pagina anche come localhost, mi manca la possibilità di inizializzare i moduli in odoo che poi mi lanciano seedoo, esattamente quello che mi è successo quando, seguendo il tutorial, ho fatto l'installazione sulla macchina virtuale dove tutt'oggi va perfetto.

Confidiamo in un supporto degli sviluppatori.

Grazie



Resta informato su tutte le discussioni del forum

Resta informato su questa discussione del Forum

9 follower(s)

Statistiche

Richiesta: 19/03/19, 11:01
Visto il: 541 volte
Ultimo aggiornamento: 22/03/19, 09:55